FactoryTrait< T > Class Template Reference
Template metaprogramming classes

Type trait to enable the use of a factory product as command line option. More...

`#include <mia/core/factory_trait.hh>`

Inheritance diagram for FactoryTrait< T >:
[legend]

## Detailed Description

template<class T>
class FactoryTrait< T >

Type trait to enable the use of a factory product as command line option.

Type trait that enables the use of the factory creation in commen line parsing. This trait needs to be specialized for all factories that are to be used utilizing the TCmdFactoryOption interface.

Template Parameters

  T | a class that can be created by a TFactory through the call to the method TFactoryPluginHandler::produce(const char *plugindescr) of the corresponding factory plugin handler.

See also
  TCmdFactoryOption

Definition at line 42 of file factory_trait.hh.

The documentation for this class was generated from the following file:

- factory_trait.hh